perl-Sub-Exporter-Progressive-0.001006-1.el6.noarch.rpm


Advertisement

Description

perl-Sub-Exporter-Progressive - Only use Sub::Exporter if you need it

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename perl-Sub-Exporter-Progressive-0.001006-1.el6.noarch.rpm
Package name perl-Sub-Exporter-Progressive
Package version 0.001006
Package release 1.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://search.cpan.org/dist/Sub-Exporter-Progressive/
License GPL+ or Artistic
Maintainer -
Download size 10.99 KB
Installed size 9.25 KB
Sub::Exporter is an incredibly powerful module, but with that power comes
great responsibility, er- as well as some runtime penalties. This module is a
Sub::Exporter wrapper that will let your users just use Exporter if all they
are doing is picking exports, but use Sub::Exporter if your users try to use
Sub::Exporter's more advanced features features, like renaming exports, if
they try to use them.
Note that this module will export @EXPORT and @EXPORT_OK package variables for
Exporter to work. Additionally, if your package uses advanced Sub::Exporter
features like currying, this module will only ever use Sub::Exporter, so you
might as well use it directly.

Alternatives

Package Version Architecture Repository
perl-Sub-Exporter-Progressive-0.001011-1.of.el6.noarch.rpm 0.001011 noarch Open Fusion
perl-Sub-Exporter-Progressive-0.001011-1.of.el6.noarch.rpm 0.001011 noarch Open Fusion
perl-Sub-Exporter-Progressive-0.001006-1.of.el6.noarch.rpm 0.001006 noarch Open Fusion
perl-Sub-Exporter-Progressive-0.001006-1.of.el6.noarch.rpm 0.001006 noarch Open Fusion
perl-Sub-Exporter-Progressive-0.001006-1.el6.noarch.rpm 0.001006 noarch EPEL
perl-Sub-Exporter-Progressive - - -

Requires

Name Value
perl(:MODULE_COMPAT_5.10.1) -
perl(Exporter) -
perl(List::Util) -
perl(Sub::Exporter) -
perl(strict) -
perl(warnings) -

Provides

Name Value
perl(Sub::Exporter::Progressive) = 0.001006
perl-Sub-Exporter-Progressive = 0.001006-1.el6

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package perl-Sub-Exporter-Progressive-0.001006-1.el6.noarch.rpm
Source Package perl-Sub-Exporter-Progressive-0.001006-1.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install perl-Sub-Exporter-Progressive rpm package:
    # yum install perl-Sub-Exporter-Progressive

Files

Path
/usr/share/doc/perl-Sub-Exporter-Progressive-0.001006/Changes
/usr/share/doc/perl-Sub-Exporter-Progressive-0.001006/README
/usr/share/man/man3/Sub::Exporter::Progressive.3pm.gz
/usr/share/perl5/vendor_perl/Sub/
/usr/share/perl5/vendor_perl/Sub/Exporter/Progressive.pm

Changelog

2012-08-27 - Paul Howarth <paul@city-fan.org> - 0.001006-1
- Update to 0.001006
- Handle ':all' correctly
- Update old Test::More patch
- Drop redundant buildreq perl(Test::Pod)
2012-08-25 - Paul Howarth <paul@city-fan.org> - 0.001005-1
- Update to 0.001005
- Add support for tags
- Warn if defaults are not in exports
- Add explicit dependency on Test::More 0.89
- This release by LEONT -> update source URL
- Update old Test::More patch
2012-08-09 - Paul Howarth <paul@city-fan.org> - 0.001004-1
- Update to 0.001004 (fix skipping when Sub::Exporter isn't installed)
- This release by MSTROUT -> update source URL
- No LICENSE file in this release
- Update old Test::More patch
2012-08-01 - Paul Howarth <paul@city-fan.org> - 0.001003-1
- Update to 0.001003 (remove warning if there are no defaults)
2012-08-01 - Paul Howarth <paul@city-fan.org> - 0.001002-2
- Sanitize for Fedora submission
2012-08-01 - Paul Howarth <paul@city-fan.org> - 0.001002-1
- Initial RPM build

See Also

Package Description
perl-Sub-Identify-0.04-6.el6.x86_64.rpm Retrieve names of code references
perl-Sub-Name-0.05-6.el6.x86_64.rpm Name - or rename - a sub
perl-Sub-Override-0.08-4.el6.noarch.rpm Perl extension for easily overriding subroutines
perl-Symbol-Util-0.0202-8.el6.noarch.rpm Additional utilities for Perl symbols manipulation
perl-Syntax-Highlight-Engine-Kate-0.04-5.1.el6.noarch.rpm Port to Perl of the syntax highlight engine of the Kate texteditor
perl-Sys-CPU-0.51-7.el6.x86_64.rpm Getting CPU information
perl-Sys-Detect-Virtualization-0.107-1.el6.x86_64.rpm Library to detect if a UNIX system is running as a virtual machine
perl-Sys-Hostname-Long-1.4-5.el6.noarch.rpm Try every conceivable way to get full hostname
perl-Sys-MemInfo-0.91-5.el6.x86_64.rpm Memory information as Perl module
perl-Sys-Mmap-0.17-6.el6.x86_64.rpm Use mmap to map in a file as a Perl variable
perl-Sys-SigAction-0.11-2.el6.noarch.rpm Perl extension for Consistent Signal Handling
perl-Sys-Statistics-Linux-0.59-3.el6.noarch.rpm Front-end module to collect system statistics
perl-Sys-Syscall-0.23-1.el6.noarch.rpm Access system calls that Perl doesn't normally provide access to
perl-Sysadm-Install-0.36-1.el6.noarch.rpm Typical installation tasks for system administrators
perl-SystemC-Vregs-1.463-2.el6.noarch.rpm Utility routines used by vregs
Advertisement
Advertisement